Delete a connection
const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.delete("https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.asString();{}{
"message": ""
}Delete a connection
DELETE
/
v1
/
connections
/
{connectorId}
/
{ownerId}
Delete a connection
const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Path Parameters
Available options:
hubspot, pipedrive, salesforce, aircall, gong, attio, dialpad, calendly, xero, chargebee Response
No Content
The response is of type object.
⌘I